### Method

# Gimp Image set_unit

#### Declaration [src]

    gboolean
    gimp_image_set_unit (
      GimpImage* image,
      GimpUnit* unit
    )

#### Description [src]

Sets the specified image’s unit.

This procedure sets the specified image’s unit. No scaling or resizing is performed. This value is independent of any of the layers in this image. See the gimp_unit_*() procedure definitions for the valid range of unit IDs and a description of the unit system.

#### Parameters

`unit`

  Type: `GimpUnit`

  The new image unit.

  The data is owned by the caller of the method.

#### Return value

Type: `gboolean`

TRUE on success.